/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_IDQUERY                   4
#define  PANEL_RF_FREQ                   5
#define  PANEL_SAT_TIMESHIFT             6
#define  PANEL_SAT_ID                    7
#define  PANEL_SAT_DOPPLER               8
#define  PANEL_SAT_POWER                 9
#define  PANEL_RF_LEVEL                  10
#define  PANEL_RF_STATE                  11
#define  PANEL_GPS_STATE                 12
#define  PANEL_Exit                      13      /* callback function: exitApp */
#define  PANEL_APPLY                     14      /* callback function: apllySettings */
#define  PANEL_TEXT2                     15
#define  PANEL_TEXT1                     16
#define  PANEL_DECORATION_2              17
#define  PANEL_DECORATION_3              18
#define  PANEL_TEXT                      19
#define  PANEL_DATA_SOURCE               20
#define  PANEL_DECORATION_4              21
#define  PANEL_DECORATION                22
#define  PANEL_TEXT1_2                   23


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
